# IntegerPatternConverter Class Reference

Inherits PatternConverter.

List of all members.

## Detailed Description

Formats an integer.

## Public Member Functions

void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const

## Static Public Member Functions

static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Obtains an instance of pattern converter.

## Member Function Documentation

void format | ( | const log4cxx::helpers::ObjectPtr & | obj,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) | const

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) | `[static]`

Obtains an instance of pattern converter.

Parameters:

  | options | options, may be null.

Returns:
  instance of pattern converter.

The documentation for this class was generated from the following file:

- integerpatternconverter.h